#include "Rectangle.hpp"

// setters - mutators
void Rectangle::setWidth(double newWidth) // the :: here is known as the class scope resolution operator
{                                         // we use the :: to indicate that the function
	                                      // is a specific member of that class
	// we can use setters to validate the parameter that we'll use to set the private
	// data member. we didn't validate the data in this example yet.
	mWidth = newWidth;
}

void Rectangle::setLength(double newLength)
{
	mLength = newLength;
}

// getters - accessors
double Rectangle::getWidth(void)
{
	return mWidth; // returns a copy of the private data to the outside world. the
	               // world that doesn't have direct access to the private data members.
	               // essentially any object or function that is declared outside of the class,
	               // unless keyword friend is used. we'll learn about this later
}

double Rectangle::getLength(void)
{
	return mLength;
}