#pragma once

#include <iostream>

class Rectangle
{

public: // Any function or data member declared inside the public region is "visible"
	    // to any object or function that is declared outside of the this class

	// Any function declared below is considered a member function of class Rectangle.
	// Member functions of a class can directly access the private data members of the
	// class.

	// setters - mutators - allow for outside data to be used
	// to set the private data in the class
	void setWidth(double newWidth);
	void setLength(double newLength);

	// getters - accessors
	double getWidth(void);
	double getLength(void);

private: // Any function or data member declared inside the private region is NOT "visible"
	     // to any object or function that is declared outside of the this class. they're
	     // only visible to members of this class

	// data members - attributes
	double mWidth, 
		   mLength;
};